// This Script only adds Stonecutter recipes to convert unified Blocks into non Standart Blocks

ServerEvents.recipes((event) => {
    const stonecutting = event.stonecutting;
    var transmute = function (arrayOfBlocks) {
      var cpt = 0;
      while (cpt < arrayOfBlocks.length) {
        var otherBlocks = arrayOfBlocks.slice(0, cpt).concat(arrayOfBlocks.slice(cpt + 1));
        stonecutting(arrayOfBlocks[cpt], otherBlocks);
        cpt++;
      }
    };

    //Sugar Cane Blocks
    transmute(['thermal:sugar_cane_block', 'quark:sugar_cane_block']);
    //transmute(['quark:sugar_cane_block', 'thermal:sugar_cane_block']);
  
    //Coke Blocks
    transmute(['thermal:coal_coke_block', 'immersiveengineering:coke']);
    //transmute(['immersiveengineering:coke', 'thermal:coal_coke_block']);

});